#include <iostream>

using namespace std;
int niz[2000000];
int niz2[2000000];
int main()
{
    int n,k;
    cin>>n>>k;
    int x;
    int b;
    x=0;
    for(int i=0; i<n; i++)
    {
        int a;
        cin>>a;
        niz[a+n]++;
    }
    for(int c=0; c<2*n; c++)
    {
        if (niz[c]>=k)
        {
            b=c-n;
            niz2[x]=b;
            x++;
        }

    }

    cout<<x<<endl;
    for(int m=0; m<x; m++)
    {
        cout<<niz2[m]<<' ';
    }
}